﻿.bot_inicio {
    background-image: url(/Content/images/imgChatBot/bot_inicio.png);
    background-position: 50px center;
    background-color: #ffffff;
    background-repeat: no-repeat;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    border: 1px solid #CCC;
    border-radius: 12px;
    cursor: pointer;
    opacity: 1;
    position: fixed;
    bottom: 15px;
    right: 65px;
    z-index: 1000;
    width: 238px;
    height: 62px;
    padding: 20px 70px 20px 20px;
    font-size: 15px;
    font-weight: bold;
    color: #7b5c4e;
    transition: 0.3s;
}

    .bot_inicio.closewindow {
        opacity: 0;
    }

    .bot_inicio:hover {
        box-shadow: -6px 6px 24px rgba(0, 0, 0, 0.16);
        color: #fc6500;
    }

/**** ventana de inicio *******/
.ventana_welcome {
    width: 385px;
    height: auto;
    border-radius: 16px;
    background: linear-gradient(#fe6500 0%, #fea138 100%);
    padding: 20px;
    padding-left: 28px;
    padding-right: 28px;
    padding-top: 105px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    position: fixed;
    bottom: -530px;
    right: 65px;
    z-index: 1001;
    transition: bottom 0.6s ease;
}

    .ventana_welcome.openwindow {
        bottom: 15px;
    }

    .ventana_welcome a {
        text-decoration: none;
    }

    .ventana_welcome .logo_applus_1 {
        position: absolute;
        left: 28px;
        top: 20px;
    }

    .ventana_welcome .bot_ocultar {
        position: absolute;
        right: 28px;
        top: 36px;
        cursor: pointer;
    }

    .ventana_welcome .titulo {
        font-family: "BaiJamjuree-Regular",sans-serif;
        font-weight: bold;
        font-size: 26px;
        text-align: left;
        color: #fff;
        margin-bottom: 10px;
    }

    .ventana_welcome .titulo_2 {
        font-family: "BaiJamjuree-Regular",sans-serif;
        font-weight: bold;
        font-size: 18px;
        text-align: left;
        color: #fff;
        margin-bottom: 20px;
        margin-top: 17px;
    }

    .ventana_welcome .texto_normal {
        font-family: "BaiJamjuree-Regular",sans-serif;
        font-weight: normal;
        font-size: 14px;
        text-align: left;
        color: #fff;
        margin-bottom: 20px;
    }

    .ventana_welcome .separador {
        border: 1px;
        border-color: #fff;
        border-style: solid;
        opacity: 0.5;
        margin: 0px;
    }

    .ventana_welcome .bot_cita {
        width: 166px;
        padding-top: 10px;
        padding-bottom: 10px;
        margin-bottom: 30px;
        border-radius: 15px;
        border-style: solid;
        border-color: #fff;
        border-width: 2px;
        background: #fff;
        text-align: center !important;
        font-family: "BaiJamjuree-Regular",sans-serif;
        font-weight: normal;
        font-size: 14px;
        text-align: left;
        color: #685850;
        cursor: pointer;
        transition: 0.3s;
    }

        .ventana_welcome .bot_cita:hover {
            background: none;
            color: #ffffff;
            border-style: solid;
            border-color: #fff;
            border-width: 2px;
        }

    .ventana_welcome .bot_chat {
        width: 166px;
        padding-top: 10px;
        padding-bottom: 10px;
        border-radius: 15px;
        border-style: solid;
        border-color: #fff;
        border-width: 2px;
        background: none;
        text-align: center !important;
        font-family: "BaiJamjuree-Regular",sans-serif;
        font-weight: normal;
        font-size: 14px;
        text-align: left;
        color: #ffffff;
        cursor: pointer;
        transition: 0.3s;
    }

        .ventana_welcome .bot_chat:hover {
            background: #fff;
            color: #685850;
            border-style: solid;
            border-color: #fff;
            border-width: 2px;
        }
/**** FIN ventana de inicio *******/




.open-button {
    background-image: url("/wp-content/uploads/bot10.png");
    background-repeat: no-repeat;
    background-color: #FF6701;
    background-position: 12px 8px;
    box-shadow: 0px 0px 5px #222;
    padding: 8px 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    opacity: 1;
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 205px;
    height: 41px;
    transition: 0.3s;
    z-index: 999999;
}

    .open-button:hover {
        background-color: #FF4000;
    }

#contChat {
    width: 385px;
    max-width: 95%;
    position: fixed;
    bottom: -3000px;
    right: 65px;
    border: 0px solid #f1f1f1;
    border-radius: 16px;
    filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.16));
    z-index: 9999999;
    transition: 0.7s;
}

    #contChat.openwindow {
        bottom: 35px;
    }

.webchat__send-box {
    min-height: 63px;
    background: #fff;
    margin-bottom: -20px;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
}

.webchat__bubble__content {
    border-radius: 13px !important;
    font-family: "BaiJamjuree-Regular",sans-serif !important;
    font-size: 14px !important;
}

    .webchat__bubble__content a {
        color: #FFD7BB !important;
    }

    .webchat__bubble__content p {
        font-family: "BaiJamjuree-Regular",sans-serif !important;
        font-size: 14px !important;
    }

    .webchat__bubble__content .ac-pushButton {
        border-radius: 9px !important;
        border-width: 0px !important;
        font-family: "BaiJamjuree-Regular",sans-serif !important;
        font-size: 14px !important;
        font-weight: 400 !important;
        height: 48px !important;
        background: #FF8029 !important;
        color: #fff !important;
        margin-top: 7px;
    }

.ac-pushButton[aria-pressed="true"] {
    background-color: #ffffff !important;
    color: #685850 !important;
}

.webchat__suggested-action__button {
    border-radius: 9px !important;
    border-width: 0px !important;
    font-family: "BaiJamjuree-Regular",sans-serif !important;
    font-size: 14px !important;
    height: 48px !important;
    background: #FF8029 !important;
    color: #fff !important;
}

.webchat--css-oqnhh-yau4ad {
    padding: 8px 17px;
}

.webchat__bubble.webchat__bubble--from-user .webchat__bubble__content {
    background: rgb(255, 255, 255) !important;
    border-color: #fc6500 !important;
    border-radius: 16px !important;
    color: #7b5c4e !important;
}

.webchat__send-box .webchat__send-box__button {
    margin-right: 10px;
}

.webchat__stacked-layout__status span {
    color: #7b5c4e !important;
    font-weight: 200;
    font-size: 13px;
}

.webchat__suggested-actions__carousel {
    background: #FE6903 !important;
}

@keyframes slidein {
    from {
        bottom: -720px;
    }

    to {
        bottom: 35px;
    }
}

#webchat {
    height: 70vh;
}

.webchat {
    height: 70vh;
}

.webchat__send-box__main {
    margin-top: 10px;
    margin-bottom: 10px;
    border-top: none !important;
    border-radius: 16px;
}

.webchat__send-icon {
    fill: #F16623 !important;
    width: 36px;
    cursor: pointer;
}

.webchat__send-box .webchat__send-box__text-box {
    margin-left: 4px;
}

.webchat__adaptive-card-renderer .ac-pushButton {
    cursor: pointer;
}

    .webchat__adaptive-card-renderer .ac-pushButton:focus {
        outline: none;
    }

input.ac-input {
    color: #685850 !important;
    padding: 6px;
    border-radius: 5px;
    border-width: 0px;
}

textarea.ac-input {
    color: #685850 !important;
    padding: 6px;
    border-radius: 5px;
    border-width: 0px;
}


#webchat .markdown p {
    color: #FFF !important;
}

.cabChat {
    background: #fe6903;
    position: relative;
    margin: 0;
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
    top: 0;
    -webkit-border-top-left-radius: 16px;
    -webkit-border-top-right-radius: 16px;
    -moz-border-radius-topleft: 16px;
    -moz-border-radius-topright: 16px;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    z-index: 9999;
}

    .cabChat .bot_ocultar {
        float: right;
        margin: 20px 10px 0 0;
    }

    .cabChat img:hover {
        cursor: pointer;
    }

div.ac-textBlock {
    color: #FFF !important;
}

.webchat__upload-button {
    display: none !important;
}

ul.list-socmed {
    display: none;
}

@media only screen and (max-width: 760px) {
    #cookie-law-info-again {
        display: none !important;
    }

    .cabchat {
        max-height: 600px;
    }
}


/* - Botones chatbot a todo ancho - */

ul.react-film__filmstrip__list {
    display: block !important;
}

li.react-film__filmstrip__item {
    display: block !important;
    padding-left: 10px !important;
    padding-right: 10px !important;
}

#chatbotAnswers {
    background: #fff;
    border-radius: 6px;
    border: 1px solid #e0e0e0;
    padding: 12px;
    min-height: 80px;
}

/**********/
@media (max-width: 600px) {
    .bot_inicio {
        background-position: 80px center;
        bottom: 15px;
        right: 15px;
        width: 268px;
        height: 56px;
        padding: 16px 70px 20px 20px;
    }

    .ventana_welcome {
        width: 445px;
        max-height: calc(100vh - 30px);
        right: 15px;
        max-width: calc(100% - 30px);
    }

    #contChat {
        max-width: calc(100% - 30px);
        right: 15px;
    }
}
